### Method

# Ide Buffer get_line_text

#### Declaration

    gchar*
    ide_buffer_get_line_text (
      IdeBuffer* self,
      guint line
    )

#### Description

Gets the contents of a single line within the buffer.

Available since: | 3.32

#### Parameters

`line` | `guint`
| A line number starting from 0

#### Return value

Returns: | `gchar*`
| A string containing the line’s text or `NULL` if the line does not exist.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.
| The value is a NUL terminated UTF-8 string.